import request from '@/utils/request';
import type { EmsActionResponse, EmsDetailResponse, EmsAlarmActionStepImageVO, EmsId, EmsIdParam, EmsListResponse, EmsQuery } from '../types';

// 查询报警措施步骤图片列表
export function listEmsAlarmActionStepImage(query?: EmsQuery): Promise<EmsListResponse<EmsAlarmActionStepImageVO>> {
  return request({
    url: '/ems/base/emsAlarmActionStepImage/list',
    method: 'get',
    params: query
  });
}

// 查询报警措施步骤图片详细
export function getEmsAlarmActionStepImage(objId: EmsId): Promise<EmsDetailResponse<EmsAlarmActionStepImageVO>> {
  return request({
    url: '/ems/base/emsAlarmActionStepImage/' + objId,
    method: 'get'
  });
}

// 新增报警措施步骤图片
export function addEmsAlarmActionStepImage(data: EmsAlarmActionStepImageVO): Promise<EmsActionResponse<EmsAlarmActionStepImageVO>> {
  return request({
    url: '/ems/base/emsAlarmActionStepImage',
    method: 'post',
    data: data
  });
}

// 修改报警措施步骤图片
export function updateEmsAlarmActionStepImage(data: EmsAlarmActionStepImageVO): Promise<EmsActionResponse<EmsAlarmActionStepImageVO>> {
  return request({
    url: '/ems/base/emsAlarmActionStepImage',
    method: 'put',
    data: data
  });
}

// 删除报警措施步骤图片
export function delEmsAlarmActionStepImage(objId: EmsIdParam): Promise<EmsActionResponse> {
  return request({
    url: '/ems/base/emsAlarmActionStepImage/' + objId,
    method: 'delete'
  });
}
